﻿namespace UI_MAUI;

public readonly record struct NavigationTarget(string Text, string Route, string IconFilename)
{
    private static readonly NavigationTarget SETTINGS = new NavigationTarget("Settings", "settings", "settings.svg");
    private static readonly NavigationTarget TRANSLATION = new NavigationTarget("Translation", "translation", "translation.svg");
    private static readonly NavigationTarget LOAD_PROJECT = new NavigationTarget("Load Project", "load", "load.svg");
    
    public static IEnumerable<NavigationTarget> GetAll()
    {
        yield return SETTINGS;
        yield return LOAD_PROJECT;
        yield return TRANSLATION;
    }
};